Хостинг серверов Minecraft playvds.com
  1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вы находитесь в русском сообществе Bukkit. Мы - администраторы серверов Minecraft, разрабатываем собственные плагины и переводим на русский язык плагины наших собратьев из других стран.

[баг] Неограниченный приват

Тема в разделе "[Архив] Помощь", создана пользователем Raptor2108, 12 июл 2013.

  1. Илья Алексин

    Илья Алексин Активный участник Пользователь

    Баллы:
    68
    Имя в Minecraft:
    Morgan4ik
    Да-да.
    --- Сообщения объединены: 27 авг 2014, предыдущее сообщение: 27 авг 2014 ---
    Тогда почему у меня вчера он не сработал, да и сегодня тоже?
     
  2. Mr Hosting
  3. Shevchik

    Shevchik Старожил Пользователь

    Баллы:
    173
    Имя в Minecraft:
    _Shevchik_
    Потому что баг работает не на всех версиях.
    Не работает на некоторых версиях WorldGuard и гарантированно не работает на WorldGuard 6.0 и далее.
     
  4. kirr9999

    kirr9999 Старожил Пользователь

    Баллы:
    103
    Сделал тестовый фикс ворлдгуарда с переводом от AlexBond, который запрещает создание полигональных регионов. Проверил у себя на сервере, вроде работает. Ссылка - ТЫК. Версия плагина: 5.9. Кто скачал, отпишитесь, работает ли нет.
     
    Последнее редактирование: 28 авг 2014
  5. EpicFyne

    EpicFyne Участник Пользователь

    Баллы:
    43
    Не мог бы ты просто сказать как это сделать, чтобы, например, я не качал твою сборку?
     
  6. kirr9999

    kirr9999 Старожил Пользователь

    Баллы:
    103
    Там не сборка, а только плагин WG.
    --- Сообщения объединены: 27 авг 2014, предыдущее сообщение: 27 авг 2014 ---
    Как сделать? Переписать класс RegionCommands в плагине)
     
  7. Илья Алексин

    Илья Алексин Активный участник Пользователь

    Баллы:
    68
    Имя в Minecraft:
    Morgan4ik
    Можно узнать конкретно? У меня стоит wg 5.9, и этот wgextander, но баг есть. И последний его не исправляет. Как это исправить?
     
  8. Shevchik

    Shevchik Старожил Пользователь

    Баллы:
    173
    Имя в Minecraft:
    _Shevchik_
    У тебя стоит старый WGExtender
     
  9. EpicFyne

    EpicFyne Участник Пользователь

    Баллы:
    43
    Попробуй плагин Command Blocker)
     
  10. Илья Алексин

    Илья Алексин Активный участник Пользователь

    Баллы:
    68
    Имя в Minecraft:
    Morgan4ik
    И как мне быть? Я скачал последнюю версию wgextender, но он не работает.
     
  11. EpicFyne

    EpicFyne Участник Пользователь

    Баллы:
    43
    Попробуй установить Command Blocker и заблокировать в нем команду /sell poly.
     
  12. Shevchik

    Shevchik Старожил Пользователь

    Баллы:
    173
    Имя в Minecraft:
    _Shevchik_
    Установи worldguard 6.0, ну лио откатывайся пока что на 148 билд, он работает со старым вг.
     
  13. Илья Алексин

    Илья Алексин Активный участник Пользователь

    Баллы:
    68
    Имя в Minecraft:
    Morgan4ik
    Попробую, больше ничего не остаётся. Только мне нужно не //sel poly, а //pos1 и //pos2
     
  14. EpicFyne

    EpicFyne Участник Пользователь

    Баллы:
    43
    Там любую команду можно запретить.
     
  15. Илья Алексин

    Илья Алексин Активный участник Пользователь

    Баллы:
    68
    Имя в Minecraft:
    Morgan4ik
    Ээээм.... wg на 6.0 на бакките нет.
     
  16. MrMario1337

    MrMario1337 Старожил Пользователь

    Баллы:
    103
    Имя в Minecraft:
    MrMario1337
  17. kirr9999

    kirr9999 Старожил Пользователь

    Баллы:
    103
    Попробуй использовать мой фикс.
     
  18. Илья Алексин

    Илья Алексин Активный участник Пользователь

    Баллы:
    68
    Имя в Minecraft:
    Morgan4ik
    Спасибо всем за помощь.
    --- Сообщения объединены: 27 авг 2014, предыдущее сообщение: 27 авг 2014 ---
    Это точно стабильная версия?
    --- Сообщения объединены: 27 авг 2014 ---
    У меня от него вся консоль в ошибках и wg перестаёт работать с первого ввода команды /region claim. А следовательно, сносятся все приваты.
     
  19. kirr9999

    kirr9999 Старожил Пользователь

    Баллы:
    103
    Скинь ошибку. Какую версию ВГ и ядра используешь?
     
    Последнее редактирование: 27 авг 2014
  20. MrMario1337

    MrMario1337 Старожил Пользователь

    Баллы:
    103
    Имя в Minecraft:
    MrMario1337
    Ей да стабильной версии ещё далеко.
     
  21. Илья Алексин

    Илья Алексин Активный участник Пользователь

    Баллы:
    68
    Имя в Minecraft:
    Morgan4ik
    6.0 snapshot - вг, spigot 1.7.9-r03 snapshot.
    --- Сообщения объединены: 27 авг 2014, предыдущее сообщение: 27 авг 2014 ---
    [16:14:30] [Server thread/ERROR]: Error occurred while enabling WorldGuard v6.0.0-SNAPSHOT.1439- (Is it up to date?)
    org.yaml.snakeyaml.error.YAMLException: java.nio.charset.MalformedInputException: Input length = 1
    at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:200) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.reader.StreamReader.forward(StreamReader.java:118) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.reader.StreamReader.forward(StreamReader.java:108) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.scanner.ScannerImpl.fetchValue(ScannerImpl.java:894) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.scanner.ScannerImpl.fetchMoreTokens(ScannerImpl.java:360) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.scanner.ScannerImpl.checkToken(ScannerImpl.java:226) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.parser.ParserImpl$ParseBlockMappingValue.produce(ParserImpl.java:586) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.parser.ParserImpl.peekEvent(ParserImpl.java:158) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.parser.ParserImpl.checkEvent(ParserImpl.java:143) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:132) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.composer.Composer.composeMappingNode(Composer.java:237) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:159) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.composer.Composer.composeDocument(Composer.java:122) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.composer.Composer.getSingleNode(Composer.java:105) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.constructor.BaseConstructor.getSingleData(BaseConstructor.java:120) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.Yaml.loadFromReader(Yaml.java:481) ~[server.jar:git-Spigot-1530]
    at org.yaml.snakeyaml.Yaml.load(Yaml.java:424) ~[server.jar:git-Spigot-1530]
    at com.sk89q.util.yaml.YAMLProcessor.load(YAMLProcessor.java:112) ~[?:?]
    at com.sk89q.worldguard.bukkit.ConfigurationManager.load(ConfigurationManager.java:147) ~[?:?]
    at com.sk89q.worldguard.bukkit.WorldGuardPlugin.onEnable(WorldGuardPlugin.java:200) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316) ~[server.jar:git-Spigot-1530]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [server.jar:git-Spigot-1530]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [server.jar:git-Spigot-1530]
    at org.bukkit.craftbukkit.v1_7_R3.CraftServer.loadPlugin(CraftServer.java:476) [server.jar:git-Spigot-1530]
    at org.bukkit.craftbukkit.v1_7_R3.CraftServer.enablePlugins(CraftServer.java:394) [server.jar:git-Spigot-1530]
    at net.minecraft.server.v1_7_R3.MinecraftServer.n(MinecraftServer.java:359) [server.jar:git-Spigot-1530]
    at net.minecraft.server.v1_7_R3.MinecraftServer.g(MinecraftServer.java:333) [server.jar:git-Spigot-1530]
    at net.minecraft.server.v1_7_R3.MinecraftServer.a(MinecraftServer.java:289) [server.jar:git-Spigot-1530]
    at net.minecraft.server.v1_7_R3.DedicatedServer.init(DedicatedServer.java:193) [server.jar:git-Spigot-1530]
    at net.minecraft.server.v1_7_R3.MinecraftServer.run(MinecraftServer.java:457) [server.jar:git-Spigot-1530]
    at net.minecraft.server.v1_7_R3.ThreadServerApplication.run(SourceFile:628) [server.jar:git-Spigot-1530]
    Caused by: java.nio.charset.MalformedInputException: Input length = 1
    at java.nio.charset.CoderResult.throwException(CoderResult.java:277) ~[?:1.7.0_67]
    at sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:338) ~[?:1.7.0_67]
    at sun.nio.cs.StreamDecoder.read(StreamDecoder.java:177) ~[?:1.7.0_67]
    at java.io.InputStreamReader.read(InputStreamReader.java:184) ~[?:1.7.0_67]
    at org.yaml.snakeyaml.reader.UnicodeReader.read(UnicodeReader.java:123) ~[server.jar:git-Spigot-1530]
    at java.io.Reader.read(Reader.java:140) ~[?:1.7.0_67]
    at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:184) ~[server.jar:git-Spigot-1530]
    ... 30 more
     
    Последнее редактирование: 28 авг 2014

Поделиться этой страницей